## libpri 1.0.7

=== Makefile ===
--- 
+++ 
@@ -24,15 +24,38 @@
 # Uncomment if you want libpri not send PROGRESS_INDICATOR w/ALERTING
 #ALERTING=-DALERTING_NO_PROGRESS
 
+# Uncomment if you want libpri to count number of Q921/Q931 sent/received
+#LIBPRI_COUNTERS=-DLIBPRI_COUNTERS
+
+OSARCH=$(shell uname -s)
+PROC=$(shell uname -m)
+
 TOBJS=testpri.o
+T2OBJS=testprilib.o
 STATIC_LIBRARY=libpri.a
 DYNAMIC_LIBRARY=libpri.so.1.0
 STATIC_OBJS=pri.o q921.o prisched.o q931.o
 DYNAMIC_OBJS=pri.lo q921.lo prisched.lo q931.lo
-CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g $(ALERTING)
+CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g $(ALERTING) $(LIBPRI_COUNTERS)
 INSTALL_PREFIX=
+ifeq (${OSARCH},Linux)
+LDCONFIG_FLAGS=-n
+else
+ifeq (${OSARCH},FreeBSD)
+LDCONFIG_FLAGS=-m
+CFLAGS += -I../zaptel -I../zapata
+endif
+endif
 
-all: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
+#The problem with sparc is the best stuff is in newer versions of gcc (post 3.0) only.
+#This works for even old (2.96) versions of gcc and provides a small boost either way.
+#A ultrasparc cpu is really v9 but the stock debian stable 3.0 gcc doesnt support it.
+ifeq ($(PROC),sparc64)
+PROC=ultrasparc
+CFLAGS += -mtune=$(PROC) -O3 -pipe -fomit-frame-pointer -mcpu=v8
+endif
+
+all: depend $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
 
 update:
 	@echo "Updating from CVS"
@@ -43,6 +66,7 @@
 	mkdir -p $(INSTALL_PREFIX)/usr/include
 	install -m 644 libpri.h $(INSTALL_PREFIX)/usr/include
 	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)/usr/lib
+	if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then  restorecon -v $(INSTALL_PREFIX)/$(INSTALL_BASE)/lib/$(DYNAMIC_LIBRARY); fi
 	( cd $(INSTALL_PREFIX)/usr/lib ; ln -sf libpri.so.1 libpri.so )
 	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)/usr/lib
 	/sbin/ldconfig
@@ -55,10 +79,18 @@
 	rm -f $(INSTALL_PREFIX)/usr/include/libpri.h
 
 pritest: pritest.o
-	$(CC) -o pritest pritest.o -L. -lpri -lzap
+	$(CC) -o pritest pritest.o -L. -lpri -lzap $(CFLAGS)
+
+testprilib.o: testprilib.c
+	$(CC) $(CFLAGS) -D_REENTRANT -D_GNU_SOURCE -o $@ -c $<
+
+testprilib: testprilib.o
+	$(CC) -o testprilib testprilib.o -L. -lpri -lpthread $(CFLAGS)
 
 pridump: pridump.o
-	$(CC) -o pridump pridump.o -L. -lpri -lzap
+	$(CC) -o pridump pridump.o -L. -lpri -lzap $(CFLAGS)
+
+include .depend
 
 %.lo : %.c
 	$(CC) -fPIC $(CFLAGS) -o $@ -c $<
@@ -69,10 +101,16 @@
 
 $(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
 	$(CC) -shared -Wl,-soname,libpri.so.1 -o $@ $(DYNAMIC_OBJS)
-	/sbin/ldconfig -n .
+	/sbin/ldconfig $(LDCONFIG_FLAGS) .
 	ln -sf libpri.so.1 libpri.so
 
 clean:
 	rm -f *.o *.so *.lo *.so.1 *.so.1.0
-	rm -f testpri $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
+	rm -f testpri testprilib $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
 	rm -f pritest pridump
+	rm -f .depend
+
+depend: .depend
+
+.depend: 
+	./mkdep ${CFLAGS} `ls *.c`
