## libpri 1.2.2

=== Makefile ===
--- 
+++ 
@@ -27,17 +27,22 @@
 # Uncomment if you want libpri to count number of Q921/Q931 sent/received
 #LIBPRI_COUNTERS=-DLIBPRI_COUNTERS
 
+CC=gcc
+
 OSARCH=$(shell uname -s)
-PROC=$(shell uname -m)
+PROC?=$(shell uname -m)
 
 TOBJS=testpri.o
 T2OBJS=testprilib.o
 STATIC_LIBRARY=libpri.a
 DYNAMIC_LIBRARY=libpri.so.1.0
-STATIC_OBJS=pri.o q921.o prisched.o q931.o
-DYNAMIC_OBJS=pri.lo q921.lo prisched.lo q931.lo
+STATIC_OBJS=copy_string.o pri.o q921.o prisched.o q931.o pri_facility.o
+DYNAMIC_OBJS=copy_string.lo pri.lo q921.lo prisched.lo q931.lo pri_facility.lo
 CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g $(ALERTING) $(LIBPRI_COUNTERS)
-INSTALL_PREFIX=
+INSTALL_PREFIX?=
+INSTALL_BASE=/usr
+SOFLAGS = -Wl,-hlibpri.so.1.0
+LDCONFIG = /sbin/ldconfig
 ifeq (${OSARCH},Linux)
 LDCONFIG_FLAGS=-n
 else
@@ -45,6 +50,13 @@
 LDCONFIG_FLAGS=-m
 CFLAGS += -I../zaptel -I../zapata
 endif
+endif
+ifeq (${OSARCH},SunOS)
+CFLAGS += -DSOLARIS -I../zaptel-solaris
+LDCONFIG = 
+LDCONFIG_FLAGS = \# # Trick to comment out the period in the command below
+SOSLINK = ln -sf libpri.so.1.0 libpri.so.1
+#INSTALL_PREFIX = /opt/asterisk  # Uncomment out to install in standard Solaris location for 3rd party code
 endif
 
 #The problem with sparc is the best stuff is in newer versions of gcc (post 3.0) only.
@@ -58,25 +70,40 @@
 all: depend $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
 
 update:
-	@echo "Updating from CVS"
-	@cvs update -d
+	@if [ -d .svn ]; then \
+		echo "Updating from Subversion..." ; \
+		svn update -q; \
+	elif [ -d CVS ]; then \
+		echo "Updating from CVS..." ; \
+		cvs -q -z3 update -Pd; \
+	else \
+		echo "Not under version control";  \
+	fi
 
 install: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
-	mkdir -p $(INSTALL_PREFIX)/usr/lib
-	mkdir -p $(INSTALL_PREFIX)/usr/include
-	install -m 644 libpri.h $(INSTALL_PREFIX)/usr/include
-	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)/usr/lib
-	if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then  restorecon -v $(INSTALL_PREFIX)/$(INSTALL_BASE)/lib/$(DYNAMIC_LIBRARY); fi
-	( cd $(INSTALL_PREFIX)/usr/lib ; ln -sf libpri.so.1 libpri.so )
-	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)/usr/lib
-	/sbin/ldconfig
+	mkdir -p $(INSTALL_PREFIX)$(INSTALL_BASE)/lib
+	mkdir -p $(INSTALL_PREFIX)$(INSTALL_BASE)/include
+ifneq (${OSARCH},SunOS)
+	install -m 644 libpri.h $(INSTALL_PREFIX)$(INSTALL_BASE)/include
+	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)$(INSTALL_BASE)/lib
+	if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then  restorecon -v $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/$(DYNAMIC_LIBRARY); fi
+	( cd $(INSTALL_PREFIX)$(INSTALL_BASE)/lib ; ln -sf libpri.so.1.0 libpri.so ; ln -sf libpri.so.1.0 libpri.so.1 )
+	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)$(INSTALL_BASE)/lib
+	if test $$(id -u) = 0; then $(LDCONFIG); fi
+else
+	install -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include -m 644 libpri.h
+	install -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib -m 755 $(DYNAMIC_LIBRARY)
+	( cd $(INSTALL_PREFIX)$(INSTALL_BASE)/lib ; ln -sf libpri.so.1.0 libpri.so ; $(SOSLINK) )
+	install -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib -m 644 $(STATIC_LIBRARY)
+endif
 
 uninstall:
 	@echo "Removing Libpri"
-	rm -f $(INSTALL_PREFIX)/usr/lib/libpri.so.1.0
-	rm -f $(INSTALL_PREFIX)/usr/lib/libpri.so
-	rm -f $(INSTALL_PREFIX)/usr/lib/libpri.a
-	rm -f $(INSTALL_PREFIX)/usr/include/libpri.h
+	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/libpri.so.1.0
+	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/libpri.so.1
+	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/libpri.so
+	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/libpri.a
+	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include/libpri.h
 
 pritest: pritest.o
 	$(CC) -o pritest pritest.o -L. -lpri -lzap $(CFLAGS)
@@ -88,9 +115,11 @@
 	$(CC) -o testprilib testprilib.o -L. -lpri -lpthread $(CFLAGS)
 
 pridump: pridump.o
-	$(CC) -o pridump pridump.o -L. -lpri -lzap $(CFLAGS)
+	$(CC) -o pridump pridump.o -L. -lpri $(CFLAGS)
 
+ifneq ($(wildcard .depend),)
 include .depend
+endif
 
 %.lo : %.c
 	$(CC) -fPIC $(CFLAGS) -o $@ -c $<
@@ -100,9 +129,11 @@
 	ranlib $(STATIC_LIBRARY)
 
 $(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
-	$(CC) -shared -Wl,-soname,libpri.so.1 -o $@ $(DYNAMIC_OBJS)
-	/sbin/ldconfig $(LDCONFIG_FLAGS) .
-	ln -sf libpri.so.1 libpri.so
+	$(CC) -shared $(SOFLAGS) -o $@ $(DYNAMIC_OBJS)
+	$(LDCONFIG) $(LDCONFIG_FLAGS) .
+	ln -sf libpri.so.1.0 libpri.so
+	ln -sf libpri.so.1.0 libpri.so.1
+	$(SOSLINK)
 
 clean:
 	rm -f *.o *.so *.lo *.so.1 *.so.1.0
@@ -113,4 +144,4 @@
 depend: .depend
 
 .depend: 
-	./mkdep ${CFLAGS} `ls *.c`
+	CC=$(CC) ./mkdep ${CFLAGS} `ls *.c`
