## libpri 1.4.11.2

=== debian/changelog ===
libpri (1.4.11.2-1) unstable; urgency=low

  * New upstream bugfix release.
  - Patch fix-inband-bri removed: merged upstream.
  * Update my address to @debian.org.

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 08 Jun 2010 21:56:54 +0300

libpri (1.4.11-1) unstable; urgency=low

  * New upstream release.
  * Drop patch osarch_hurd, merged upstream.
  * Update enable-gcc-optimizations.
  * Use a symbol file for library versioning since this version added lots of
    them. Import and properly tag 1.4.10 & 1.4.11 symbols.
  * Bump Standards-Version to 3.8.4.
  * Switch to 3.0 (quilt) source package format and drop quilt dependency.
  * Switch from cdbs to dh from debhelper 7.
  * Switch to downloads.asterisk.org instead of the obsolete
    downloads.digium.com in the watch file.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 27 May 2010 04:27:05 +0300

libpri (1.4.10.2-2) unstable; urgency=low

  * Convert dpatch to quilt. 

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Thu, 03 Dec 2009 13:27:59 +0200

libpri (1.4.10.2-1) unstable; urgency=low

  * New upstream release (Closes: #551820)
    - fixes improper Q.921 link operation
  * Add basic debian/README.source

 -- Mark Purcell <msp@debian.org>  Wed, 21 Oct 2009 10:03:25 +1100

libpri (1.4.10.1-1) unstable; urgency=low

  * New upstream release 

  [ Tzafrir Cohen ]
  * Patch osarch_hurd: Fix building on HURD.

  [ Faidon Liambotis ]
  * Add a fix for the inbanddisconnection setting on BRIs.

 -- Mark Purcell <msp@debian.org>  Wed, 14 Oct 2009 07:46:11 +1100

libpri (1.4.10-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release.
    - (Closes: #492867): "libpri - new upstream version"
    - bug fixes related to handling of BRI PTMP links

 -- Mark Purcell <msp@debian.org>  Fri, 24 Apr 2009 00:37:46 +1000

libpri (1.4.9-2) unstable; urgency=low

  * Upload to unstable
    - pkg-voip transition discussed on debian-release
  * Drop oldstable Conflicts: libpri1.2

 -- Mark Purcell <msp@debian.org>  Thu, 02 Apr 2009 22:03:13 +1100

libpri (1.4.9-1) experimental; urgency=low

  [ Tzafrir Cohen ]
  * New upstream version.
  * Dropping bristuff for now.
  * NEW package libpri1.4 SONAME is now 1.4 . Changed package name accordingly

  [ Victor Seva ]
  * debian/rules: Update upstream's URL.

  [ Mark Purcell ]
  * Update debian/watch
  * Switch back to cdbs (allows -j2 and others)
  * debian/compact -> 7
  * Update debian/copyright GPL-2 only
  * Upload to experimental while we coordinate transition debian-release & NEW

 -- Mark Purcell <msp@debian.org>  Sun, 22 Mar 2009 22:00:07 +1100

libpri (1.4.3-3) unstable; urgency=low

  [ Tzafrir Cohen ]
  * Fix layer 2 startup bugs (e.g. resume from cable disconnect) on BRI lines:
    - When getting a SABME/UA after sending one, don't reset state.
    - Don't further process an unassigned TEI event.
  * Bump standards version to 3.8.0 .

  [ Victor Seva ]
  * debian/rules: fix get-orig-source to actually work

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 19 Oct 2008 20:12:39 +0300

libpri (1.4.3-2) unstable; urgency=low

  * Update to bristuff 0.4.0-RC1
    - fixed "call reference exceeds 127 on BRI spans" bug in libpri
      which caused a deadlock in chan_zap.
    - fixed "t303 not stopped" bug in libpri.
  * Add Junghanns.NET GmbH to the copyright holders in debian/copyright.
  * Refer to /usr/share/common-licenses/GPL-2 to avoid ambiguity vs. GPLv3.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 21 May 2008 03:33:52 +0300

libpri (1.4.3-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release

  [ Tzafrir Cohen ]
  * Watching downloads.digium.com directly again. 

 -- Mark Purcell <msp@debian.org>  Tue, 22 Apr 2008 22:49:51 +1000

libpri (1.4.2-2) unstable; urgency=low

  [ Faidon Liambotis ]
  * Fix debian/watch by using a pkg-voip wrapper to avoid upstream's silly
    redirections. (Closes: #449956)
  * Bump Standards-Version to 3.7.3, no changed needed. 
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders.

  [ Tzafrir Cohen ]
  * Reset T303 timer on ALERTING and PROGRESS response to setup, from
    bristuff 0.4.0-test6-xr2 (Closes: #473550).

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 01 Apr 2008 07:04:33 +0300

libpri (1.4.2-1) unstable; urgency=low

  [ Kilian Krause ]
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Tzafrir Cohen ]
  * New upstream release.
  * Update bristuff to new upstream release.
  * Update makefile patches to new upstream.
  * Do build bristuffed version as well with -Werror .
  * Fix an uninitialized variable there.
  * BRI overlap digits were ignored - regression from 1.2 (Closes: #448118).

  [ Faidon Liambotis ]
  * Include <stddef.h> since <sys/time.h> doesn't include it anymore.
    Fixes FTBFS (Closes: #453161).

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 29 Nov 2007 10:32:50 +0000

libpri (1.4.1-2) unstable; urgency=low

  * Enable -O2 optimizations, following Policy 10.1. (Closes: #359186)
  * Conflict with libpri1.2 versions prior to 1.4.0-2 to ease transition for
    testing and unstable users. (Closes: #437804)

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 15 Aug 2007 01:11:16 +0300

libpri (1.4.1-1) unstable; urgency=low

  * New Upstream Release

  [ Tzafrir Cohen ]
  * Re-Adding bristuff.
  * Which requires re-applying and fixing libname.dpatch .

  [ Faidon Liambotis ]
  * Add myself to Uploaders.
  * Add XS-Vcs-Svn and XS-Vcs-Browser to debian/control.
  * Switch to dh_install from the deprecated dh_movefiles.
  * Use ${binary:Version} instead of ${Source-Version}.
  * Loosen up shlibs: we want to create shlibs that are >= 1.4, not the
    specific version of libpri 1.4 (e.g. 1.4.1).
  * Conflict/Replace libpri1.2 from etch since we're providing the same files.

  [ Mark Purcell ]
  * Bump package name to match soname libpri1.0

 -- Mark Purcell <msp@debian.org>  Sat, 04 Aug 2007 09:41:50 +0100

libpri (1.4.0-2) unstable; urgency=low

  * unstable release


