=== debian/changelog ===
libpri (1.4.11.3-1~bpo50+1) lenny-backports; urgency=low

  * backport to lenny

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 20 Sep 2010 15:04:18 +0200

libpri (1.4.11.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 30 Jun 2010 00:53:30 +0300
