## libpri 1.4.12

=== Makefile ===
--- 
+++ 
@@ -24,9 +24,6 @@
 # Uncomment if you want libpri not send PROGRESS_INDICATOR w/ALERTING
 #ALERTING=-DALERTING_NO_PROGRESS
 
-# Uncomment if you want libpri to count number of Q921/Q931 sent/received
-#LIBPRI_COUNTERS=-DLIBPRI_COUNTERS
-
 CC=gcc
 GREP=grep
 AWK=awk
@@ -47,16 +44,21 @@
 	q921.o \
 	prisched.o \
 	q931.o \
+	pri_aoc.o \
+	pri_cc.o \
 	pri_facility.o \
 	asn1_primitive.o \
 	rose.o \
 	rose_address.o \
 	rose_etsi_aoc.o \
+	rose_etsi_cc.o \
 	rose_etsi_diversion.o \
 	rose_etsi_ect.o \
+	rose_etsi_mwi.o \
 	rose_other.o \
 	rose_q931.o \
 	rose_qsig_aoc.o \
+	rose_qsig_cc.o \
 	rose_qsig_ct.o \
 	rose_qsig_diversion.o \
 	rose_qsig_mwi.o \
@@ -68,27 +70,40 @@
 	q921.lo \
 	prisched.lo \
 	q931.lo \
+	pri_aoc.lo \
+	pri_cc.lo \
 	pri_facility.lo \
 	asn1_primitive.lo \
 	rose.lo \
 	rose_address.lo \
 	rose_etsi_aoc.lo \
+	rose_etsi_cc.lo \
 	rose_etsi_diversion.lo \
 	rose_etsi_ect.lo \
+	rose_etsi_mwi.lo \
 	rose_other.lo \
 	rose_q931.lo \
 	rose_qsig_aoc.lo \
+	rose_qsig_cc.lo \
 	rose_qsig_ct.lo \
 	rose_qsig_diversion.lo \
 	rose_qsig_mwi.lo \
 	rose_qsig_name.lo \
 	version.lo
-CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g -fPIC $(ALERTING) $(LIBPRI_COUNTERS) $(LIBPRI_OPT)
+CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g -fPIC $(ALERTING) $(LIBPRI_OPT) $(COVERAGE_CFLAGS)
 INSTALL_PREFIX=$(DESTDIR)
 INSTALL_BASE=/usr
 libdir?=$(INSTALL_BASE)/lib
-SOFLAGS:=-Wl,-h$(DYNAMIC_LIBRARY)
-LDCONFIG = /sbin/ldconfig
+ifneq ($(findstring Darwin,$(OSARCH)),)
+  SOFLAGS=-dynamic -bundle -Xlinker -macosx_version_min -Xlinker 10.4 -Xlinker -undefined -Xlinker dynamic_lookup -force_flat_namespace
+  ifeq ($(shell /usr/bin/sw_vers -productVersion | cut -c1-4),10.6)
+    SOFLAGS+=/usr/lib/bundle1.o
+  endif
+  LDCONFIG=/usr/bin/true
+else
+  SOFLAGS=-shared -Wl,-h$(DYNAMIC_LIBRARY) $(COVERAGE_LDFLAGS)
+  LDCONFIG = /sbin/ldconfig
+endif
 ifneq (,$(findstring X$(OSARCH)X, XLinuxX XGNU/kFreeBSDX XGNUX))
 LDCONFIG_FLAGS=-n
 else
@@ -116,7 +131,13 @@
 PROC=ultrasparc
 LIBPRI_OPT = -mtune=$(PROC) -O3 -pipe -fomit-frame-pointer -mcpu=v8
 else
-LIBPRI_OPT = -O2
+  ifneq ($(CODE_COVERAGE),)
+    LIBPRI_OPT=
+    COVERAGE_CFLAGS=-ftest-coverage -fprofile-arcs
+    COVERAGE_LDFLAGS=-ftest-coverage -fprofile-arcs
+  else
+    LIBPRI_OPT=-O2
+  endif
 endif
 
 ifeq ($(CPUARCH),i686)
@@ -168,7 +189,7 @@
 	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include/libpri.h
 
 pritest: pritest.o
-	$(CC) -o pritest pritest.o -L. -lpri -lzap $(CFLAGS)
+	$(CC) -o pritest pritest.o -L. -lpri $(CFLAGS)
 
 testprilib.o: testprilib.c
 	$(CC) $(CFLAGS) -D_REENTRANT -D_GNU_SOURCE -o $@ -c $<
@@ -195,7 +216,7 @@
 	ranlib $(STATIC_LIBRARY)
 
 $(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
-	$(CC) -shared $(SOFLAGS) -o $@ $(DYNAMIC_OBJS)
+	$(CC) $(SOFLAGS) -o $@ $(DYNAMIC_OBJS)
 	$(LDCONFIG) $(LDCONFIG_FLAGS) .
 	ln -sf libpri.so.$(SONAME) libpri.so
