=== debian/changelog ===
libpri (1.4.12-2) unstable; urgency=low

  * wheezey polish
  * Update Standards-Version: 3.9.3 - no changes
  * Refresh get-orig-source target
  * debian/compat -> 9 
  * Fix spelling-error-in-binary usr/lib/libpri.so.1.4 Wierd Weird

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 21:16:16 +1000

libpri (1.4.12-1) unstable; urgency=low

  * New upstream release. 
    - Drop patch gcc-4.6-werror, not needed anymore.
    - Adapt patch enable-gcc-optimizations.
    - Updated symbols file with (a lot of) new symbols.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 26 Nov 2011 17:25:59 +0200

libpri (1.4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file (practically internal ones, actually).
  * Standards version 3.9.2 (no change needed).

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 26 Sep 2011 23:56:14 +0300

libpri (1.4.11.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add gcc-4.6-werror to fix FTBFS with gcc-4.6.  Closes: #625379.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 09 Sep 2011 14:54:45 +0200
