=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Priority: optional
 Section: libs
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>, Christoph Martin <christoph.martin@uni-mainz.de>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.4
+Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3
 Homepage: http://www.asterisk.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/libpri/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libpri/?op=log
