=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

get-orig-source:
	uscan --force-download

.PHONY: get-orig-source
