=== debian/changelog ===
libpri (1.4.14-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release.
    - Patch spelling-error-in-binary removed: merged upstream.
    - Fixes passing CFLAGS and LDFLAGS from build system: Patch
      enable-gcc-optimizations reduced.
    - Symbols file update (new function pri_persistent_layer2_option).
  * Remove version.c on clean (Closes: #688765).
  * Pass flags from dpkg-buildflags to the build system This library is
    now hardened.
  * Patch disable_dahdi: disable utils that require dahdi and are not
    installed.

  [ Mark Purcell ] 
  * Update to anonscm.debian - fix vcs-field-not-canonical
  * Update Standards-Version: 3.9.4 - lintian clean

 -- Mark Purcell <msp@debian.org>  Thu, 20 Jun 2013 10:22:25 +1000
