=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.asterisk.org/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/libpri/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libpri/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libpri/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libpri/trunk/
 
 Package: libpri-dev
 Section: libdevel
