## libpri 1.4.15

=== debian/changelog ===
libpri (1.4.15-1) unstable; urgency=medium

  * New upstream release
    - Symbols file update (new function pri_setup_ack).
  * Add Jeremy Lainé to uploaders.
  * Update Standards-Version: 3.9.5 - lintian clean.
  * Add upstream GPG signature check to watch file.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 17 Jun 2014 13:12:22 +0200
