=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Priority: optional
 Section: libs
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.asterisk.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libpri/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libpri/trunk/
