=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,13 @@
 #!/usr/bin/make -f
+
+# := as there's no configure script in the middle right now and we want
+#    to see explicit flags in the build log.
+CFLAGS  := $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
+export CFLAGS LDFLAGS
+
 %:
 	dh $@
