=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg//,downloadurlmangle=s/.*ref=//,pgpsigurlmangle=s/$/.asc/ \
	http://downloads.asterisk.org/pub/telephony/libpri/releases/ libpri-([0-9.]*)\.tar\.gz debian svn-upgrade
