## libpri 1.6.0

=== Makefile ===
--- 
+++ 
@@ -67,6 +67,7 @@
 DYNAMIC_OBJS= \
 	$(STATIC_OBJS)
 CFLAGS ?= -g
+CFLAGS += $(CPPFLAGS)
 CFLAGS += -Wall -Werror -Wstrict-prototypes -Wmissing-prototypes
 CFLAGS += -fPIC $(ALERTING) $(LIBPRI_OPT) $(COVERAGE_CFLAGS)
 INSTALL_PREFIX=$(DESTDIR)
