=== debian/changelog ===
libpri (1.6.0-2) unstable; urgency=medium

  * Team upload.

  [ Tzafrir Cohen ]
  * Remove Faidon from Uploaders

  [ Guillem Jover ]
  * Fix FTBFS with GCC-10 (Closes: #957470)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 23 Nov 2020 09:44:38 +0100

libpri (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * compat level 10
  * Standard version 4.1.3
  * watch: a https URL
  * Remove obsolete squeeze backporting hook
  * VCS URLs: switch to git and Salsa
  * watch: replace svn-upgrade with uupdate
  * DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * A PEP-5 copyrigtht file
  * typo.patch: fix a typo

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 18 Feb 2018 23:21:36 +0200
