=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Section: libs
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.3
 Homepage: http://www.asterisk.org/
-Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libpri/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libpri/trunk/
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/libpri
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libpri.git
 
 Package: libpri-dev
 Section: libdevel
