=== debian/watch ===
version=4
opts=dversionmangle=s/\~dfsg//,downloadurlmangle=s/.*ref=//,pgpsigurlmangle=s/$/.asc/ \
	https://downloads.asterisk.org/pub/telephony/libpri/releases/ libpri-([0-9.]*)\.tar\.gz debian uupdate
